Robotic Process Automation

  • 1.  Error With R

    Posted Mon August 09, 2021 02:31 PM
    Hello , 

    I have tried to run one of the samples in IBM docs for RPA version 20.12.5 and get the following error:

    System.Exception: This 64-bit process failed to load the library R.dll. Native error message is 'The specified module could not be found'
    at DynamicInterop.UnmanagedDll.ThrowFailedLibraryLoad(String dllFullName, String nativeError)
    at DynamicInterop.UnmanagedDll..ctor(String dllName)
    at RDotNet.REngine..ctor(String id, String dll)
    at RDotNet.REngine.CreateInstance(String id, String dll)
    at RDotNet.REngine.GetInstance(String dll, Boolean initialize, StartupParameter parameter, ICharacterDevice device)
    at WDG.Automation.AI.ExecuteRScriptCommand.DKHsJvRds3pUDCYeZO6(Object , Boolean , Object , Object )
    at WDG.Automation.AI.ExecuteRScriptCommand.phfJxyjBw3(JxjJlVDA4xICoQU7SW& )
    at WDG.Automation.AI.ExecuteRScriptCommand.koKJr9w3Uq(AutomationContext , Boolean )
    at WDG.Automation.AI.ExecuteRScriptCommand.Execute(AutomationContext context)
    --- End of stack trace from previous location where exception was thrown ---
    at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
    at WDG.Automation.Language.ErrorHandler.GWjULEfrQ2nuaml4W5k(Object )
    at WDG.Automation.Language.ErrorHandler.jocZCh4JKb(Exception )
    at WDG.Automation.Language.ErrorHandler.HandleExecutionExceptionIfNeeded(Exception exception, IAutomationCommand command)
    at WDG.Automation.Language.CommandInterpreter.<Run>d__12.Dkhs2xCb0DeRA8TPTLI(Object , Object , Object )
    at WDG.Automation.Language.CommandInterpreter.<Run>d__12.MoveNext()
    --- End of stack trace from previous location where exception was thrown ---
    at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
    at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
    at WDG.Automation.Language.ScriptInterpreter.<RunCore>d__17.MoveNext()

    Is their a way to solve it ?

    ------------------------------
    [ahmed] [shaheen]
    [System developer]
    [valleysoft-eg]
    [Cairo] [Egypt]
    [+20-01015699307]
    ------------------------------


  • 2.  RE: Error With R

    Posted Mon August 09, 2021 04:58 PM
    Hi, 
    You need to install the R package

    "In order for this command to work properly, the R package version should match the IBM Robotic Process Automation Studio and the operating system's architectures (x64). The platform supports R versions from 2.14.2 to 3.4.4." - rScript - Doc

    ------------------------------
    Angelo Alves
    ------------------------------